Bug 1266954 - Audio output does not work with docking station [NEEDINFO]
Audio output does not work with docking station
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 12:13 EDT by John Dennis
Modified: 2016-10-26 12:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:50:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (jdennis)


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2015-09-28 12:13:47 EDT
I don't know if this is a kernel issue or audio subsystem issue, assigned to kernel for the time being.

I have a Lenovo w541 in a Lenovo Ultradock.

Just upgraded to kernel 4.1.7-200 on F22 and my audio output problems morphed, but are still broken. I'm on a Lenovo w541 in an Lenovo Ultradock.

It used to be I could only get audio to my speakers if I plugged them directly into headphone jack of the laptop instead of the headphone jack of the docking station.

Now with kernel 4.1.7-200 I can only get audio output from the laptop internal speakers, plugging the speakers into either the headphone jack of the laptop or the docking station completely disables audio output.

I also observe in the Gnome Sound applet the following behavior. If the laptop is seated in the dock and no external speakers are connected the only output option listed is "Speakers - Built-in Audio". If I plug in external speakers to the laptop headphone jack the only option is "Headphones - Built-in Audo" but no sound is emitted. If I plug in the external speakers to the docking statation headphone jack the only output device listed is "Speakers - Built-in Audo" but there is no sound output.

With kernel 4.1.7-200 the only way I can get audio output is by not connecting any external speakers thus using only the laptop speakers.
Comment 1 Justin M. Forbes 2015-10-20 15:30:26 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-09-23 15:39:03 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:50:59 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.